2016-01-16  Karl Berry  <karl@tug.org>

	(web2c/Makefile): do not try to make the nonexistent subtexk target.
	Apparently this is a leftover from generalizing the prior subtexk
	into am/recurse.am.
	http://tug.org/svn/texlive/trunk/Build/source/texk/Makefile.am?r1=31126&r2=31127
	* Makefile.am (triptrap): no longer depend on web2c/Makefile.

2015-02-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Use the fragment ../am/dist_hook.am.

2013-12-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (ACLOCAL): Ensure aclocal.m4 is up to date.

2013-09-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Drop ACLOCAL_AMFLAGS.
	* configure.ac: Use AC_CONFIG_MACRO_DIRS.
	Use KPSE_RECURSE_PROGS in ../m4/kpse-setup.m4 to recurse into
	all TeXk programs.

2013-09-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am: Moved definition of cf_silent* from here ...
	* ../am/recurse.am: ... to here 

2013-07-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/*.am: Moved Makefile fragments to ../am/.

	* Makefile.am, configure.ac: Use am/recurse.am.

2013-03-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Merge bibtex8/ and bibtexu/ into bibtex-x/. 

2013-01-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/script_links.am (install-links): Simplify (use top_srcdir).

2013-01-24  Karl Berry  <karl@tug.org>

	* am/script_links.am (install-links): look for relpath one more
	level up too.   (For the new texlive/tl_scripts.)

2012-12-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.ac: Use KPSE_BASIC to enable silent rules.
	* Makefile.am, am/man.am: Enable silent rules.

2012-12-16  Karl Berry  <karl@tug.org>

	* tetex: remove directory.

2012-08-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/script_links.am: Add support for shell scripts without
	win32 wrapper.

2011-12-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/script_links.am: Replace ${prefix} => $(datarootdir).

2011-09-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ../build-aux/relpath: New shell script to compute relative
	path for linked scripts.
	* am/script_links.am: Use relpath, mainly for distros.

2011-05-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/bin_links.am: New Makefile fragment for symlinks within
	$(bindir).

2011-04-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/script_links.am: Add support for lua scripts; reorganize.

2011-03-31  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/script_links.am: New Makefile fragment for linked perl and
	shell scripts.

2011-02-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/man1_links.am: Install manpage links as .so requests.

2011-02-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/man1_links.am: New Makefile fragment for manpage links.

2010-03-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (EXTRA_DIST): Distribute the whole tests/ tree.

2010-03-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (triptrap): New target to first ensure that
	web2c/Makefile exists and then run TRIP and TRAP tests.

2010-02-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Makefile.am (EXTRA_DIST): Add tests/common-test.pl.

2010-02-18  Karl Berry  <karl@tug.org>

	* tests: new subdir for common test files.

2009-10-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Import bibtexu (static icu libs only).

2009-05-26  Karl Berry  <karl@tug.org>

	* README: dvipdfm can now be emulated by dvipdfmx.

2009-02-02  Karl Berry  <karl@tug.org>

	* install-sh: rename from install.sh.

2008-05-28  Karl Berry  <karl@tug.org>

	* Makefile.in (default all): always make all, rather than $@.

2008-04-25  Karl Berry  <karl@tug.org>

	* xdvik/Makefile.in (xdvizilla): skip (un)installing this.  debian
	477160, tex-live 24 Apr 2008 02:03:57.

2008-02-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* withenable.ac (kpse_texk_pkglist): m4_defined list of all
	optional packages, used to generate --without-PKG options.
	* configure.in: use kpse_texk_pkglist to select subdirs.

2008-02-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* configure.in: Use KPSE_CONFIG_SUBDIRS.
	* Makefile.in: Add @configure_input@ line.
	* aclocal.m4 (new): Generated (aclocal -I m4).
	* configure: Regenerated (autoconf).

2008-02-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.in: Removed configure kludge for dvipos.
	* configure: Regenerated (autoconf2.13).

2008-01-13  Karl Berry  <karl@tug.org>

	* withenable.ac (afm2pl, dtl): more --without options.
	Found by Patrice.

2007-01-10  Karl Berry  <karl@tug.org>

	* dvipos/Makefile (DEFS): add -I../../../texk for
	kpathsea/kpathsea.h

2006-12-05  Karl Berry  <karl@tug.org>

	* configure: trying dvipng again.

2006-08-24  Karl Berry  <karl@tug.org>

	* configure: don't descend into dvipng for now, update needs to be
	finished, accidentally checked in partial update in revision 2009
	... sigh.

2005-08-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.sub: Update to 2005-07-08.

	* config.guess: Update to 2005-08-03.

2005-07-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/COPYING: Replace full GPL text with reference to the LGPL
	and GPL files.

	* etc/GPL: GPL text.

	* etc/LGPL: LGPL 2.1 text.

2005-07-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acgeneral.m4: Have AC_CHECK_TYPE include stdint.h
	if (through HAVE_STDINT_H) we've determined it is available.  The
	prevents some configure-related misbehaviour.  From Karl Berry.

2005-06-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* m4/maintainer-mode.m4: Add copyright.

2005-06-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acsite.m4: Remove some duplicate definitions
	(AC_UNSET_CC, AC_RESET_CC).  Fully quote defn of
	pb_AC_ASM_UNDERSCORE, define KPSE_CONFIG_FILES.  This makes
	everything more compatible with autoconf2.5x.  From Peter
	Breitenlohner.

	* etc/autoconf/acgeneral.m4: Make ENVVAR=VALUE as argument work
	with our autoconf2.13.  Modify accepted syntax for some commands
	to match autoconf2.5x.  Change name of ac_include to kpse_include.
	From Peter Breitenlohner.

	* withenable.ac: Do m4-style quoting of the first argument of
	AC_ARG_WITH because autoconf2.5x likes it that way.  From Peter
	Breitenlohner.

	* configure.in: Make syntax compatible with autoconf2.5x.  From
	Peter Breitenlohner.  Remove setting of with_odvipsk (odvipsk was
	merged with dvipsk).  Reformat PKGS list so changes are easier to
	spot.

	* Makefile.in: Replace ac_include with kpse_include.  From Peter
	Breitenlohner.
	[MAINT] Call the autoconf2.13 script we've bundled in the source tree
	to regenerate configure from configure.in.

	* m4/maintainer-mode.m4: Files containing definitions needed when
	using autoconf2.5x or later.

	* m4/kpse-include.m4: Files containing definitions needed when
	using autoconf2.5x or later.

	* m4/kpse-cross.m4: Files containing definitions needed when using
	autoconf2.5x or later.

	* m4/acsite.m4.not: Files containing definitions needed when using
	autoconf2.5x or later.

	* m4/ac-xxset-cc.m4: Files containing definitions needed when
	using autoconf2.5x or later.

	* autoconf2.13: The autoconf2.13 script which is needed to
	regenerate some of the configure scripts in the subdirectories.

2005-06-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acsite.m4: Add KPSE_STRUCT_ST_MTIM.

	* etc/autoconf/acconfig.h: Add HAVE_ST_MTIM for
	KPSE_STRUCT_ST_MTIM.

2005-06-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* README: Remove email addresses: one less location to keep
	everything up-to-date.

	* config.sub: Update to 2005-06-02.

	* config.guess: Update to 2005-05-27.

	* add-info-toc: Update copyright notice (is in public domain).

2005-01-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (distclean): Clean up contest* files.  From Thomas.

2004-12-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.sub: To 2004-11-30.

2004-11-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.sub: Update to 2004-11-17.

	* config.guess: Update to 2004-11-12.

2004-09-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.guess: Update to 2004-09-07.

2004-08-26  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etc/autoconf/acspecific.m4: Fix an ancient autoconf-2.13 bug
	(INSTALL_SCRIPT should default to INSTALL instead of
	INSTALL_PROGRAM, in case INSTALL_PROGRAM is defined as
	'${INSTALL} -s' from the command line or via "install-strip").

2004-09-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Add --without-dvipng.  (Sync with TeX-live.)

	* config.guess: Update to 2004-08-29.

	* config.sub: Update to 2004-08-29.

2004-08-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (various recursive rules): Check that
	<subdir>/Makefile exists, not just for <subdir>.

2004-08-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.guess: Update to 2004-08-13.

2004-08-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.guess: Update to 2004-07-19.

	* config.sub: Update to 2004-06-24.

2004-07-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Removing.  There's little point in lugging yet
	another likely-out-of-date copy around.

2004-07-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acsite.m4 (KPSE_CROSS_BUILD_VAR): Single-quote the
	second argument when setting it -- this means we can use values
	like $(VAL) without having to quote them in the call (which seems
	to be the most intuitive way of working).

	* etc/autoconf/acsite.m4 (KPSE_CROSS_PATH_PROG): New macro, used
	to find binaries in the path iff we are cross-compiling.
	(KPSE_CROSS_BUILD_VAR): New macro, used to set BUILD<VAR> to <VAR> if
	not cross-compiling, and to a given value (which may come from the
	environment) if not.  Will complain if the environment contains
	the variable while we are not cross-compiling.

	* etc/autoconf/acspecific.m4 (AC_PATH_X): Add -rpath for OSF1* and
	IRIX* cases so they are guaranteed to find the X libraries.
	From TeX-live.
	
	* etc/autoconf/acgeneral.m4: Remove trailing /bin from path since
	the current teTeX paths look like
	'/usr/local/teTeX/bin/i686-pc-linux-gnu/tex'.  From TeX-live.
	Will need special handling when we move to current autoconf.

	* etc/texinfo.tex: Update to 2004-04-29.05.

	* configure.in: Sync with TeX-live.

	* config.sub: Update to 2004-06-24.

	* config.guess: Update to 2004-06-24.

2004-03-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Remove oxdvik-related code.

	* config.sub: To version 2004-01-05.

	* config.guess: To version 2004-01-24.

2004-02-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acspecific.m4: Define AC_PROG_AR.

	* etc/autoconf/acprograms: Add ar.

	* etc/autoconf/acmakevars: Add AR.

2004-01-01  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to 2003-12-21.10.

2003-02-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acspecific.m4: Merge of patch from Albert
	Chin-A-Young was botched.

2003-02-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* libtool.m4, ltmain.sh: Added.

	* acklibtool.m4, klibtool: Removed.

	* etc/autoconf/acsite.m4: Correct lay-out error.

	* configure.in: From klibtool to libtool. Based on patches from
	Albert Chin-A-Young <china@thewrittenword.com>
	
	* Makefile.in: From klibtool to libtool. Based on patches from
	Albert Chin-A-Young <china@thewrittenword.com>

	* etc/autoconf/acsite.m4: Merge changes made by Roozbeh Pournader
	in the TeX Live tree.

2003-02-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acspecific.m4: Fixes suggested by Albert Chin
	<tetex@thewrittenword.com>.

2003-02-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.sub: Update to 2003-01-28.

	* config.guess: Update to 2003-01-30.

2003-01-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to 2003-01-24.17

	* config.sub: Update to 2003-01-22.

	* config.guess: Update to 2003-01-10.

2003-01-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to 2002-12-26.16.

	* configure.in (PKGS): Add cjkutils.

2003-01-08  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Add --without-cjkutils switch.  (Sync with
	TeX-live.)

2002-12-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to 2002-11-25.11.

	* config.sub: Update to 2002-11-30.

	* config.guess: Update to 2002-11-30.

2002-11-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to 2002-10-13.14.

	* withenable.ac: Add --with-* switches for detex and ttf2pk.

	* klibtool: On MacOS X run ranlib on a library after installing
	it.  Apparently required.

	* configure.in: Sync with texlive.  Adds detex and ttf2pk to the
	packages.

2002-10-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.sub: Update to 2002-08-22.

	* config.guess: Update to 2002-09-03.

	* Makefile.in: Include common.ac so more variables are
	communicated to submakes.

2002-10-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* README: Corrected my email address (oops).  Spotted by Roozbeh
	Pournader <roozbeh@sharif.edu>.

2002-10-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in [PKGS]: Add devnag.  TeXlive merge.

	* config.sub: New version.  TeXlive merge.

	* config.guess: New version.  TeXlive merge.

2001-11-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Correct helpstring for --without-bibtex8.

2001-11-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Add --without-dvi2tty option.

	* config.sub: Updated.

	* config.guess: Updated.

2001-10-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in [makeargs]: Add LDFLAGS.

2000-04-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Add help for bibtex8.

2000-04-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to version 1999-08-19.17.

	* Makefile.in: Remove contrib from all_dirs.

	* configure.in: Add bibtex8 and dvi2tty to PKGS.

2000-04-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.guess: New version of config.guess from ftp.gnu.org.

	* config.sub: New version of config.sub from ftp.gnu.org.

	* etc/autoconf/acspecific.m4: Changes for cross-compilation with
	dos-gcc, i386-mingw32-gcc, or gnuwin32gcc.  From Han The Thanh
	<thanh@informatics.muni.cz>.

	* etc/autoconf/acspecific.m4: Add checks for djgpp and win32, from
	Han The Thanh <thanh@informatics.muni.cz>.

1999-05-30  Olaf Weber  <olaf@infovore.xs4all.nl>

 	* etc/texinfo.tex: Update to version 1999-04-25.15 from Thomas.

1999-05-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: If --without-x was given, don't bother with xdvik
 	and oxdvik.

	* README: Added my email address.

1999-03-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Do not include ../libs/libwww/withenable.ac, its
 	contents should come with xdvik/withenable.ac.  From Thomas.

	* README: Update address info of TUG.

1999-02-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: In several loops, force an exit on failure of a
 	sub-make.

1999-02-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Save time & patience by only configuring enabled
 	packages.  From Thomas.

	* Makefile.in (distclean): Only work in directories that were
 	configured.  From Thomas.

1999-01-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: New version 1999-01-24 from Karl.

	* withenable.ac: Add --with-texlive option.  From Thomas.

	* configure.in: Add dvipdfm to PKGS, from Thomas Esser.

1999-01-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Add --with-dvipdfm option.

	* configure.in: Also configure in texlive directory.

1999-01-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/texinfo.tex: Update to 2.248 1998/07/01 14:28:14 from Karl.

	* withenable.ac: Extra package tth.

	* configure.in: Cleanup from Thomas Esser.

	* klibtool: Support for a few extra systems.

1999-01-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* install.sh: New version from autoconf 2.13.

	* config.sub: New version from autoconf 2.13.

	* config.guess: New version from autoconf 2.13.

	* README: Correct tug email address.

	* Makefile.in: Change of ../make/*.make to ../make/*.mk.

	* etc/autoconf/autoheader.m4: Update for autoconf 2.13.

	* etc/autoconf/acspecific.m4: Update for autoconf 2.13.

	* etc/autoconf/acgeneral.m4: Update for autoconf 2.13.

	* etc/autoconf/acconfig.h: Update for autoconf 2.13.

	* etc/autoconf/README: Update for autoconf 2.13.

Sat Mar 14 08:48:56 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Kpathsea 3.2, Web2C 7.2, etc.

Wed Mar 11 19:30:11 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.guess: Update (via Thomas).

	* Makefile.in (distclean): Do disabled directories as well.

Tue Mar 10 22:08:06 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Changes for selective disabling of compilation.
	Partly from Thomas Esser.
	(info,dvi,check,depend,*clean,install*): Fail make if a recursive make
	fails.  From Thomas Esser.

	* configure.in: Add the --without-* options.  Partly from Thomas
 	Esser.

	* withenable.ac: New file, make selective disabling of compilation
 	of components possible.  Partly from Thomas Esser.

Wed Mar  4 09:08:36 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acsite.m4: Make some test $a = b forms more robust.

	* etc/autoconf/acgeneral.m4: Some more changes in the handling of
 	ac_include.

Tue Mar  3 10:05:04 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etc/autoconf/acgeneral.m4: Use commas as sed substitution
 	delimiters in the implementation of ac_include, to lessen the need
 	to escape characters.

Mon Feb 16 10:04:53 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Configure in tetex directory.

	* Makefile.in: Add tetex directory to programs.

	* etc/autoconf/acgeneral.m4: In the implementation of ac_include,
 	avoid the \x<pattern>x feature of sed, which is not universally
 	supported.  This appears to solve the problems NeXT(step) users
 	had to configure Web2C.

Tue Feb  3 22:14:37 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Add a few more packages to programs variable.

	* configure.in: Add a few more packages to AC_CONFIG_SUBDIRS.

Fri Jan 23 15:10:56 1998  Olaf Weber  <infovore@xs4all.nl>

	* configure.in: Add oxdvi to AC_CONFIG_SUBDIRS.

	* Makefile.in: Add oxdvi to programs.

Thu Jan  8 20:00:23 1998  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acspecific.m4: Disable [] quote characters before
 	defining an array in C code.

Tue Jan  6 14:27:54 1998  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acgeneral.m4 (AC_CONFIG_HEADER): Quote
 	AC_LIST_HEADER to allow it to be redefined.  From Peter
	Breitenlohner.

Tue Dec 30 17:53:18 1997  Olaf Weber  <infovore@xs4all.nl>

	* configure.in: Add seetexk, tex4htk to programs.

	* Makefile.in: Add seetexk, tex4htk to programs.

Thu Dec 18 20:41:52 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acspecific.m4: Correction for the yytext tests: lex
 	must be called for each of them.

	* etc/autoconf/acgeneral.m4: In check for configure, look first in
 	current dir, just in case someone put a patched version of the
 	script there.

Tue Dec 16 18:49:13 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acgeneral.m4: Change the ordering of some sed
 	expressions, to prevent colons in $ac_given_srcdir from being
 	expanded.

Mon Dec 15 15:22:33 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acspecific.m4: Make MS-DOS a special case in the
 	'ln -s' test.

Fri Dec 12 10:52:37 1997  Olaf Weber  <infovore@xs4all.nl>

	* klibtool: Keep temp files within 8.3 limit.

Wed Dec  3 17:46:53 1997  Olaf Weber  <infovore@xs4all.nl>

	* configure.in: Add gsftopk to AC_CONFIG_SUBDIRS.

	* Makefile.in: Add gsftopk to programs.

Tue Dec  2 21:11:41 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acgeneral.m4: Changes to the ac_include
 	implementation, so that sed read commands are generated only for
 	those files actually present.

Sun Nov 23 14:18:37 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acspecific.m4: Another test for executables
 	adapated for MS-DOS.

Wed Nov 19 17:39:53 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acgeneral.m4: Numerous changes to support
 	generation of configure scripts that run on MS-DOS.

	* Makefile.in [programs]: Remove omega and libwww; the first never
 	occurs, xdvik is responsible for the second.
	(config.status): Ensure that --enable-maintainer-mode is retained if
	the configure files are run again.

	* configure.in: Remove omega from the AC_CONFIG_SUBDIRS list,
 	because it will never occur.

	* klibtool: Some support for working undr MS-DOS.  From Eli
 	Zaretskii.

	* etc/autoconf/acsite.m4: Improve formatting of
 	--enable-maintainer-mode help message.

Fri Nov 14 00:24:23 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in [programs]: Add omega, odvipsk, ps2pkm, makeindexk,
 	libwww.

	* configure.in (AC_CONFIG_SUBDIRS): Add omega, odvipsk, ps2pkm,
 	makeindexk, libwww.

Thu Nov 13 20:23:06 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acconfig.h [WORDS_BIGENDIAN]: Since the special
 	NeXT stuff proved troublesome, it has been removed again.

Thu Nov  6 11:48:40 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acconfig.h [WORDS_BIGENDIAN]: support NeXT's FAT
 	binaries.

Tue Nov  4 19:09:16 1997  Olaf Weber  <infovore@xs4all.nl>

	* configure.in: Add a test to ensure that autoconf 2.12.1 -- the
 	one with our own hacks -- is used.  This is possible now that we
	have gotten rid of the 'a' in the version number.

Fri Oct 31 12:38:10 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acgeneral.m4: Changed version number from 2.12a to
 	2.12.1 because the former caused problems.

Tue Oct 28 22:34:09 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acspecific.m4: Include -Wl,-rpath,$x_libraries for
 	IRIX systems, on the off chance that these are self-compiled.
	From Andreas Schott <ays@rzg.mpg.de>.

Wed Oct 22 20:26:19 1997  Olaf Weber  <infovore@xs4all.nl>

	* klibtool: Only rewrite the klibtool.config file if its contents
 	changed.  After Peter Breitenlohner.

Thu Oct 16 09:57:01 1997  Olaf Weber  <infovore@xs4all.nl>

	* etc/autoconf/acsite.m4: Typo: kbAC_LIBTOOL_REPLACE_FUNCS ->
 	kb_AC_LIBTOOL_REPLACE_FUNCS.

	* klibtool: Remove $lib_base before trying to creating it as a
 	symlink.  From Peter Breitenlohner.

Fri Oct  3 09:49:28 1997  Olaf Weber  <infovore@xs4all.nl>

	* acklibtool.m4: --disable-static implies --enable-shared.
	From Karl Berry.

	* klibtool: Add support for shared libraries on irix5/irix6.

Wed Oct  1 18:12:28 1997  Olaf Weber  <infovore@xs4all.nl>

	* Replace mkdirchain with mkinstalldirs (from libtool-1.0).

Tue Sep 30 10:46:27 1997  Olaf Weber  <infovore@xs4all.nl>

	* Added add-info-toc script, from Karl Berry.

	* etc/autoconf/acgeneral.m4: Change ac_dB to match up to
	end-of-line.  This fixes the case where the VALUE contains spaces.

	* etc/autoconf/acconfig.h: Add definitions to make autoheader
	happy: YYTEXT_CHAR, YYTEXT_UCHAR.
	* etc/autoconf/acspecific.m4: Add case for determining whether
 	yytext is array of unsigned char.  (From Thomas Esser
        <te@informatik.uni-hannover.de>)

	* mkdirchain: Do not assume the argument begins with a slash
 	(invalid on MS-DOS and related systems, as well as for relative
 	paths).

Tue Sep 16 17:42:59 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Changed ac_dir to $(srcdir)/etc/autoconf, where we
 	have a full set of macro files.

	* acklibtool.m4: Added support from klibtool --source-dir option.
	* klibtool: Added --source-dir option, after suggestion by
	"Jonathan I. Kamens" <jik@cam.ov.com>

Thu Feb  6 17:33:11 1997  Karl Berry  <karl@cs.umb.edu>

	* Kpathsea 3.0, Web2c 7.0, etc.

Fri Jan 31 16:20:23 1997  Karl Berry  <karl@cs.umb.edu>

	* configure (yytext test): Only define yywrap if it's not #defined.
	Reported by Wayne for HP-UX.

Thu Jan 16 17:56:29 1997  Karl Berry  <karl@cs.umb.edu>

	* install-sh, config.guess, config.sub: New versions from /gd/gnu/lib.

Thu Sep  5 19:07:41 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Include acklibtool.m4 here for the sake of getting the
		--with and --enable options.

Sat Jul 27 14:36:26 1996  Karl Berry  <karl@cs.umb.edu>

	* acsite.m4 (kbAC_LIBTOOL_REPLACE_FUNCS): New test.

Sun Apr 28 15:24:19 1996  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (pb_AC_ASM_UNDERSCORE): New test.
        From: Peter Breitenlohner <peb@MPPMU.MPG.DE>.

Tue Mar 12 15:28:42 1996  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (sharedlib): Oops, hp700 is SHLIB_PATH, not SHLIB.

Sat Feb 10 14:41:39 1996  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (SunOS*5): Use -Kpic rather than -K pic.
        Also, set up sharedlib_postlink.
        From: pete@thi.informatik.uni-frankfurt.de (Peter Dyballa).

Tue Dec 26 15:57:32 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Add all --with and --enable options here, so
        configure --help will show them.

Fri Dec 15 20:16:08 1995  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (kb_AC_SYS_SHAREDLIB): Don't use $(sharedlib) as a
        -soname target for linux, etc.
  From: Thomas Peikenkamp <Thomas.Peikenkamp@arbi.informatik.uni-oldenburg.de>.

Wed Dec 13 12:57:38 1995  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (kb_AC_SYS_SHAREDLIB): Turn everything off if shared
        libraries aren't supported on this system. Check for Elf under
        Linux -- that's all we can support.

Sun Dec 10 14:58:08 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-man, install-manpages): Remove these
        top-level targets; we should have install-doc, if anything.
        (mptriptrap): Back to just triptrap. Suggested by Ulrik.

Tue Nov 21 17:26:41 1995  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (kb_AC_SYS_SHAREDLIB) [HPUX] : Set sharedlib_linkflags
        to -Wl,+s.

Sat Nov 18 16:47:18 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (installargs): Do not pass down INSTALL, since then
        install-sh is found in the wrong place. 

        * Update for Autoconf 2.5.

Fri Nov 17 15:31:25 1995  Karl Berry  <karl@cs.umb.edu>

        * Use Autoconf 2.4.2.

        * Makefile.in (AC_SYS_SHAREDLIB): Rename to kb_AC_...
        Change sharedlib_postinstall to be the complete command.
        In IRIX case, make symlink without the version number. (From Simon.)

Thu Nov 16 16:49:22 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (installargs): No need to pass transform, we don't
        use that.
        (install-bases, install-mems, bases, mems): New targets.

Mon Oct 30 17:11:51 1995  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (AC_PATH_XTRA): Note that the Pyramis dcosx needs
        -lnsl also. From chad@anasazi.com.
        Also, use AC_DEFINE for X_DISPLAY_MISSING, rather than adding it
        to X_CFLAGS, to try to keep command lines clean.

Sun Oct 22 16:50:24 1995  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (sharedlib_envvar): New subst variable.

Fri Sep  8 19:24:11 1995  Karl Berry  <karl@cs.umb.edu>

        * acsite.m4 (AC_REPLACE_FUNCS): Define HAVE_FUNC if we do have the
        func.

Sun Aug 20 14:46:39 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (TAGS): Generate a single TAGS file here.
        Suggestion from: Greg McGary <gkm@magilla.cichlid.com>.

        * configure.in: Do AC_ISC_POSIX.
        From: <uddeborg@carmen.se>.

Wed Jul 19 15:38:29 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (*tr[ia]p*): Get rid of everything but `trip' and
        `trap' themselves, as this has been vastly simplified.

Tue Apr 25 15:53:34 1995  Karl Berry  <karl@cs.umb.edu>

        * Update for Autoconf 2.3.

Sun Jan  8 12:16:15 1995  Karl Berry  <karl@cs.umb.edu>

        * kpathsea 2.6/dviljk 2.5/dvipsk 5.58f/xdvik 18f.

Fri Jan  6 09:05:42 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (programs): Add gsftopkk.

Wed Jan  4 11:55:48 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Use if ... instead of ||, for Ultrix make.

Sun Jan  1 14:12:04 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in (AC_PROG_{CC,MAKE_SET}): Call these.
        * Makefile.in: Include make/common.make instead of repeating most
        of it.

Sat Dec 31 17:47:46 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install, install-data, install-exec): Just run the
        same target in kpathsea.

Sat Dec 24 15:09:55 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (CFLAGS): USe @CFLAGS@ instead of -g.  From
        wls@astro.umd.edu.
        ({dist,real}clean): Remove config.{cache,log}.  From
        interran@uluru.Stanford.EDU (John Interrante) and others.

Wed Dec 14 15:17:23 1994  Karl Berry  <karl@cs.umb.edu>

        * kpathsea 2.5/dviljk 2.4/dvipsk 5.58e/xdvik 18e.

Tue Nov 15 16:19:18 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (makeargs): Change MAKEARGS to XMAKEARGS.

Mon Nov  7 15:40:53 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Use AC_CONFIG_SUBDIRS instead of our handcrafted
        version.

Sun Nov  6 16:11:38 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Run autoupdate.

Tue Oct 25 17:48:02 1994  Karl Berry  <karl@cs.umb.edu>

        * kpathsea 2.3/dviljk 2.3/dvipsk 5.58c/xdvik 18d.

Fri Oct 14 10:31:35 1994  Karl Berry  <karl@cs.umb.edu>

        * kpathsea 2.2/dviljk 2.2/dvipsk 5.58b/xdvik 18c.

Sun Sep 25 16:38:59 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (makeargs): Add MAKEARGS here.

Mon Sep 12 11:05:53 1994  Karl Berry  (karl@cs.umb.edu)

        * kpathsea 2.1/dviljk 2.1/dvipsk 5.58a/xdvik 18b.

Sun Sep 11 14:44:05 1994  Karl Berry  (karl@cs.umb.edu)

        * aclocal.m4: New file with my AC_FIND_XTRA replacement; use -lICE
        when linking for -lSM.

Sat Sep 10 14:01:54 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Use AC_PROG_INSTALL.

        * Makefile.in (makeargs): Don't pass SHELL.

Wed Sep  7 16:29:05 1994  Karl Berry  (karl@cs.umb.edu)

        * kpathsea 2.0/dviljk 2.0/dvipsk 5.55b/xdvik 18a.

Sat Sep  3 07:43:19 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-kpathsea): Use $(MAKE) $(installargs).
	(install*): Use installargs.
	(installargs): New variable.
        (install-exec): Do not depend on install-kpathsea.

        * configure.in: chmod a+x kpathsea/config.status.

Fri Sep  2 13:09:16 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (default): Make this the default target, not all.

Sat Aug 27 18:58:01 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-{fmts,bases}): New web2c-only targets.

Fri Aug 26 10:40:22 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-kpathsea): New target. Split up install*
        and uninstall* targets, so the former depend on it.

Sun Aug 21 12:11:15 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (all, install, etc.): use test ! -d ||, instead of
        if, for brevity.
        Use ac_include where possible.

Thu Mar 24 08:40:05 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Exit if configure fails.

Tue Mar 22 08:27:24 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Don't replace `xdvik/' with `kpathsea/' when
        making kpathsea/config.status.

Thu Mar 10 08:03:51 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Use ../ to get to subdir only if srcdir=.

Thu Feb 24 13:54:36 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (programs): Add dviljk.
        (makeargs): Pass install_fonts and {bh,cg,mt}_fontdir down.

Mon Feb 21 13:32:30 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (triptrap ...): Depend on do-kpathsea, to help
        propagate the paths. From Martyn.

        * configure.in: Merge srcdir ==/!= . cases.
        Also: Change all $first_program's to `kpathsea'.
        mkdir kpathsea before copying.
        From simon.

Tue Feb  1 10:32:26 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Allow for non-. srcdirs. From Andreas.

        * Makefile.in (makeargs): Pass scriptdir, texmf_prefix, fontdir,
        fmtdir, and basedir; and don't pass (the nonexistent) tex_prefix,
        mf_prefix, and texfontdir. From Andreas.

        * Makefile.in (CFLAGS): Define this.
        (makeargs): Pass it down.

Fri Jan 21 07:42:45 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: (makeargs): Pass psmacrodir and default_texsize.
        From Martyn.

Sun Dec 19 17:31:54 1993  Karl Berry  (karl@cs.umb.edu)

        * configure.in: rm -f conftest.stat. 

Wed Dec 15 06:30:17 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (fmts): New web2c-only target.

Sun Dec  5 13:49:11 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Rewrite kpathsea/config.status to only create a
	Makefile and c-auto.h, instead of just doing the assignment on the
	command line when we configure.

	* configure.in (CONFIG_SHELL): Use this instead of $shell, and
	allow the user to override.

Sat Dec  4 11:26:09 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Echo value of srcdir in error msg.

	* Makefile.in (triptrap, etc.): New targets for web2c.

Fri Oct 22 13:31:18 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (makeargs): Don't pass the paths, since they're in
	paths.h.in now. But do pass the dvips directories.

	* configure.in: Makefile.in is in srcdir.  From simon@lia.di.epfl.ch.

Thu Sep 30 14:27:17 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (*install*): Only do program directories.
	(most targets): Add `else true' for stupid sh's.
	* README: Update appropriately.
